Index: components/artifactView/css/Artifact.css
===================================================================
--- components/artifactView/css/Artifact.css	(revision 9430)
+++ components/artifactView/css/Artifact.css	(working copy)
@@ -34,6 +34,53 @@
     display: none;
 }
 
-.fl-artifact-collect-status {
+.fl-artifact-actionPanel {
+    width: 100%;
+    background: #F5F5F5;
+}
+
+.fl-artifact-actionButtons {
+	height: 45px;		
+	padding-left: 5px;	
+    display: table-cell;
+    vertical-align: middle;
+}
+
+.fl-artifact-actionButtons a.fl-artifact-action-button {
+    color: #FFFFFF;
+    padding: 5px 10px 5px 30px;
+    border-style:solid;
+    border-width: 2px;
+    border-color: #000000;
+    -webkit-border-image: none;
+	text-align: center;
+	margin: auto;
+}
+
+.fl-artifact-uncollect {
+    background: url(../../../shared/images/fe_mobile_icon_uncollect.png) no-repeat left,
+        -webkit-gradient(linear, left top, right bottom, from(#9E9D79), to(#C6C5A1));
+}
+
+.fl-artifact-collect {
+    background: url(../../../shared/images/fe_mobile_icon_collect.png) no-repeat left,
+        -webkit-gradient(linear, left top, right bottom, from(#A6A6A6), to(#C8C8C8));
+}
+
+.fl-artifact-comment {
+    background: url(../../../shared/images/fe_mobile_icon_comment.png) no-repeat left,
+        -webkit-gradient(linear, left top, right bottom, from(#A6A6A6), to(#C8C8C8));
+}
+
+a.fl-artifact-collect-status {
+    color: white;	
     display: none;
+    width: 100%;
+    margin: auto;    
+	position: absolute;
+	top: 90px;
+	padding-top: 10px;
+	padding-bottom: 10px;
+	text-align: center;
+	background-color: rgba(62, 62, 62, 0.5);
 }
Index: components/artifactView/html/view.html
===================================================================
--- components/artifactView/html/view.html	(revision 9430)
+++ components/artifactView/html/view.html	(working copy)
@@ -72,14 +72,15 @@
 	        </div>
 	        
 	        <!-- My Collection sub-header -->
-	        <div>
-                <div class="flc-artifact-collect fl-table-cell">
-                    <a rsf:id="scr=null" class="flc-artifact-collect-link fl-button" href="#">Collect/Uncollect artifact</a>
-                    <div>
-                        <a class="flc-artifact-collect-status fl-artifact-collect-status" href="#"></a>
-                    </div>
-                </div>                          
-            </div>
+	        <div class="flc-artifact-actionPanel fl-artifact-actionPanel">
+	            <div class="flc-artifact-actionButtons fl-artifact-actionButtons">
+	                <a rsf:id="scr=null" class="flc-artifact-collect-link fl-artifact-action-button fl-button" href="#">Collect/Uncollect artifact</a>
+	                <a class="flc-artifact-comment-link fl-artifact-action-button fl-artifact-comment fl-button" href="#">Comment</a>
+	            </div>
+	            <div>
+                    <a class="flc-artifact-collect-status fl-artifact-collect-status" href="#"></a>
+                </div>
+	        </div>
             
             <div class="fl-table fl-artifact-image-content">
 	            <div class="fl-artifact-image-cell fl-table-cell">
Index: components/artifactView/js/ArtifactCollectView.js
===================================================================
--- components/artifactView/js/ArtifactCollectView.js	(revision 9430)
+++ components/artifactView/js/ArtifactCollectView.js	(working copy)
@@ -33,10 +33,13 @@
         var lang = fluid.engage.getCookie("fluid-engage").lang;
         that.collectLink.text(linkText);
         that.collectStatus.attr("href", "../users/myCollection.html" + 
-                                      "?lang=" + lang + "&user=" + that.model.user._id);      
-        that.collectStatus.text(message);
-        that.collectStatus.show();
-        that.collectStatus.fadeOut(4000);
+                                      "?lang=" + lang + "&user=" + that.model.user._id);
+        that.collectStatus.hide();
+        that.collectStatus.html(message);
+        that.collectStatus.slideDown();
+        setTimeout(function () {
+            that.collectStatus.slideUp();
+        }, that.options.notificationDelay);
     };
     
     // TODO: This should be implemented as a Couch view, but will do the trick for now.
@@ -63,6 +66,8 @@
         that.collectLink = that.locate("collectLink");
         that.collectLink.text(that.isCollected ? that.options.strings.uncollect : 
                                                  that.options.strings.collect);
+        that.collectLink.addClass(that.isCollected ? that.options.styles.uncollectArtifact : 
+            that.options.styles.collectArtifact);
         that.collectStatus = that.locate("status");
         
         // Bind the collection link's click handler.
@@ -72,6 +77,11 @@
         });
     };
     
+    var toggleCollectButtonStyle = function (that) {
+        that.collectLink.toggleClass(that.options.styles.collectArtifact);
+        that.collectLink.toggleClass(that.options.styles.uncollectArtifact);
+    };
+    
     /**
      * The component's creator function 
      * 
@@ -106,6 +116,7 @@
             } else {
                 that.collectArtifact();
             }
+            toggleCollectButtonStyle(that);
         };
                 
         setupArtifactCollectionView(that);
@@ -116,6 +127,11 @@
         selectors : {
             collectLink: ".flc-artifact-collect-link",
             status: ".flc-artifact-collect-status"
-        }
+        },
+        styles: {
+            uncollectArtifact: "fl-artifact-uncollect",
+            collectArtifact: "fl-artifact-collect"
+        },
+        notificationDelay: 10000
     });
 })(jQuery);
Index: components/artifactView/js/ArtifactView.js
===================================================================
--- components/artifactView/js/ArtifactView.js	(revision 9430)
+++ components/artifactView/js/ArtifactView.js	(working copy)
@@ -42,6 +42,7 @@
             dimensions: "%artifactDimensions",
             mention: "%artifactMention",
             image: {target: "%artifactImage"},
+            commentButton: {messagekey: "comment"},
             sections: {
                 children: fluid.transform(that.sections, function (section) {
                     var decorator = section.sectionContents === COMMENT_SECTION ? {
@@ -152,7 +153,7 @@
         that.sections = makeCabinetSections(that.model, that.options, mediaIconURLs);
         var messageLocator = fluid.messageLocator(that.options.strings, fluid.stringTemplate);
         that.render = fluid.engage.renderUtils.createRendererFunction(that.container, that.options.selectors, {
-            selectorsToIgnore: ["collectArtifact", "sectionContainer", "audioIcon", "videoIcon"],
+            selectorsToIgnore: ["artifactPanel", "sectionContainer", "audioIcon", "videoIcon"],
             repeatingSelectors: ["sections"],
             rendererOptions: {
                 messageLocator: messageLocator,
@@ -169,7 +170,7 @@
         that.navBar = fluid.initSubcomponent(that, "navigationBar", [that.container, fluid.COMPONENT_OPTIONS]);
                 
         that.collectView = fluid.initSubcomponent(that, "collectView", [
-            that.locate("collectArtifact"),
+            that.locate("artifactPanel"),
             {
                 model: {
                     museumID: museumID,
@@ -185,6 +186,7 @@
         // Note current deficient, time-dependent and awkward strategy based on rebuilding components on re-render, awaiting
         // RENDEROUR ANTIGENS
         that.comments = fluid.initSubcomponent(that, "comments", [fluid.jById(rendererIdMap.comments), fluid.COMPONENT_OPTIONS]);
+        that.locate("commentButton").attr("href", that.comments.options.addNoteTarget);
     };
 
     fluid.engage.artifactView = function (container, options) {
@@ -258,7 +260,8 @@
             sectionHeader: ".flc-cabinet-header",
             audioIcon: ".flc-artifactView-audio-icon",
             videoIcon: ".flc-artifactView-video-icon",
-            collectArtifact: ".flc-artifact-collect"
+            artifactPanel: ".flc-artifact-actionPanel",
+            commentButton: ".flc-artifact-comment-link"
         },
         
         useCabinet: true,
@@ -266,13 +269,12 @@
         strings: {
             artifactMedia: "Show Audio and Video (%size)",
             artifactComments: "Show Comments (%size)",
-            artifactRelated: "Show Related Artifacts (%size)",
-            
-            // TODO: These strings should be correctly scoped to the ArtifactCollectView.
-            collect: "Collect Artifact",
-            uncollect: "Uncollect Artifact",
-            collectedMessage: "This artifact has been added to your personal collection; tap here to go there now.",
-            uncollectedMessage: "This artifact has been removed from your personal collection; tap here to go there now."
+            artifactRelated: "Show Related Artifacts (%size)",            
+            comment: "Comment",
+            collect: "Collect",
+            uncollect: "Uncollect",
+            collectedMessage: "Added to your <i>My Collection</i>. Tap here to go there now.",
+            uncollectedMessage: "Removed from your <i>My Collection</i>. Tap here to go there now."
         }
     });
     
Index: components/artifactView/messages/messages_fr.json
===================================================================
--- components/artifactView/messages/messages_fr.json	(revision 9430)
+++ components/artifactView/messages/messages_fr.json	(working copy)
@@ -1,9 +1,10 @@
-{
+﻿{
     "artifactMedia": "Voir les contenus audios et vidéos (%size)",
     "artifactComments": "Voir les commentaires (%size)",
     "artifactRelated": "Voir les artéfacts associés (%size)",
-    "collect": "TODO Collect Artifact",
-    "uncollect": "TODO Uncollect Artifact",
-    "collectedMessage": "TODO This artifact has been added to your personal collection; tap here to go there now.",
-    "uncollectedMessage": "TODO This artifact has been removed from your personal collection; tap here to go there now."
+    "comment": "Commenter",
+    "collect": "Collectionner",
+    "uncollect": "Retirer",
+    "collectedMessage": "Ajouté à votre collection. Tapez ici pour y accéder.",
+    "uncollectedMessage": "Retiré de votre collection. Tapez ici pour y accéder."
 }
